import React, { ReactNode } from 'react';
import { INotificationMessage, ISteeringCommand } from '@orderingstack/ordering-types';
import { ApplicationInsights } from '@microsoft/applicationinsights-web';
export interface OrderProviderProps {
    children: ReactNode;
    onWebsocketNotification?: (message: INotificationMessage) => void;
    onSteeringCommand?: (command: ISteeringCommand) => void;
    appInsights?: ApplicationInsights;
    debugWs?: boolean;
    onlyCompletedOrdersForUser?: boolean;
}
export default function OrderProvider(props: OrderProviderProps): React.JSX.Element;
